StarPageAttribute Namespace Reference

namespace used to contain page attributes More...

## Classes

class | StarPAttributeBool
| a character bool attribute More...
class | StarPAttributeColor
| a character color attribute More...
class | StarPAttributeInt
| a character integer attribute More...
class | StarPAttributeUInt
| a character unsigned integer attribute More...
class | StarPAttributeVoid
| a void attribute More...
class | StarPAttributeItemSet
| a list of item attribute of StarAttributeInternal More...
class | StarPAttributeVec2i
| an Vec2i attribute More...
class | SubDocument
| Internal: the subdocument of a StarObjectSpreadsheet. More...
class | StarPAttributeColumns
| a frame + columns More...
class | StarPAttributeFrameHF
| a frame header/footer attribute (used to define header/footer in a sdw file) More...
class | StarPAttributePage
| a page attribute More...
class | StarPAttributePageDesc
| a page descriptor attribute More...
class | StarPAttributePageHF
| a page header/footer attribute More...
class | StarPAttributePrint
| a print attribute More...
class | StarPAttributeRangeItem
| a rangeItem attribute More...
class | StarPAttributeViewMode
| a character unsigned integer attribute More...

## Functions

void | addAttributeBool (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, bool defValue)
| add a bool attribute
void | addAttributeColor (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, STOFFColor const &defValue)
| add a color attribute
void | addAttributeInt (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, int numBytes, int defValue)
| add a int attribute
void | addAttributeUInt (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, int numBytes, unsigned int defValue)
| add a unsigned int attribute
void | addAttributeVoid (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName)
| add a void attribute
void | addInitTo (std::map< int, std::shared_ptr< StarAttribute > > &whichToAttributeMap)
| adds character attribute to the general it to attribute map

## Detailed Description

namespace used to contain page attributes

## Function Documentation

## addAttributeBool()

void StarPageAttribute::addAttributeBool | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | bool | defValue )

inline

add a bool attribute

Referenced by addInitTo().

## addAttributeColor()

void StarPageAttribute::addAttributeColor | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | STOFFColor const & | defValue )

inline

add a color attribute

## addAttributeInt()

void StarPageAttribute::addAttributeInt | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | int | numBytes,
|  | int | defValue )

inline

add a int attribute

## addAttributeUInt()

void StarPageAttribute::addAttributeUInt | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | int | numBytes,
|  | unsigned int | defValue )

inline

add a unsigned int attribute

Referenced by addInitTo().

## addAttributeVoid()

void StarPageAttribute::addAttributeVoid | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName )

inline

add a void attribute

## addInitTo()

void StarPageAttribute::addInitTo | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map | ) |

adds character attribute to the general it to attribute map

Referenced by StarAttributeInternal::State::initAttributeMap().